package it.politecnico.model.measurement;

import java.util.ArrayList;
import java.util.Date;
import java.util.Iterator;
import java.util.List;

public class MeasurementExample {
    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database table MEASUREMENTS
     *
     * @mbggenerated
     */
    protected String orderByClause;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database table MEASUREMENTS
     *
     * @mbggenerated
     */
    protected boolean distinct;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database table MEASUREMENTS
     *
     * @mbggenerated
     */
    protected List<Criteria> oredCriteria;

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table MEASUREMENTS
     *
     * @mbggenerated
     */
    public MeasurementExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table MEASUREMENTS
     *
     * @mbggenerated
     */
    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table MEASUREMENTS
     *
     * @mbggenerated
     */
    public String getOrderByClause() {
        return orderByClause;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table MEASUREMENTS
     *
     * @mbggenerated
     */
    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table MEASUREMENTS
     *
     * @mbggenerated
     */
    public boolean isDistinct() {
        return distinct;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table MEASUREMENTS
     *
     * @mbggenerated
     */
    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table MEASUREMENTS
     *
     * @mbggenerated
     */
    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table MEASUREMENTS
     *
     * @mbggenerated
     */
    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table MEASUREMENTS
     *
     * @mbggenerated
     */
    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table MEASUREMENTS
     *
     * @mbggenerated
     */
    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table MEASUREMENTS
     *
     * @mbggenerated
     */
    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    /**
     * This class was generated by MyBatis Generator.
     * This class corresponds to the database table MEASUREMENTS
     *
     * @mbggenerated
     */
    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        protected void addCriterionForJDBCDate(String condition, Date value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            addCriterion(condition, new java.sql.Date(value.getTime()), property);
        }

        protected void addCriterionForJDBCDate(String condition, List<Date> values, String property) {
            if (values == null || values.size() == 0) {
                throw new RuntimeException("Value list for " + property + " cannot be null or empty");
            }
            List<java.sql.Date> dateList = new ArrayList<java.sql.Date>();
            Iterator<Date> iter = values.iterator();
            while (iter.hasNext()) {
                dateList.add(new java.sql.Date(iter.next().getTime()));
            }
            addCriterion(condition, dateList, property);
        }

        protected void addCriterionForJDBCDate(String condition, Date value1, Date value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            addCriterion(condition, new java.sql.Date(value1.getTime()), new java.sql.Date(value2.getTime()), property);
        }

        protected void addCriterionForJDBCTime(String condition, Date value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            addCriterion(condition, new java.sql.Time(value.getTime()), property);
        }

        protected void addCriterionForJDBCTime(String condition, List<Date> values, String property) {
            if (values == null || values.size() == 0) {
                throw new RuntimeException("Value list for " + property + " cannot be null or empty");
            }
            List<java.sql.Time> timeList = new ArrayList<java.sql.Time>();
            Iterator<Date> iter = values.iterator();
            while (iter.hasNext()) {
                timeList.add(new java.sql.Time(iter.next().getTime()));
            }
            addCriterion(condition, timeList, property);
        }

        protected void addCriterionForJDBCTime(String condition, Date value1, Date value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            addCriterion(condition, new java.sql.Time(value1.getTime()), new java.sql.Time(value2.getTime()), property);
        }

        public Criteria andIdIsNull() {
            addCriterion("ID is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("ID is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Integer value) {
            addCriterion("ID =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Integer value) {
            addCriterion("ID <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Integer value) {
            addCriterion("ID >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("ID >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Integer value) {
            addCriterion("ID <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Integer value) {
            addCriterion("ID <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Integer> values) {
            addCriterion("ID in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Integer> values) {
            addCriterion("ID not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Integer value1, Integer value2) {
            addCriterion("ID between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Integer value1, Integer value2) {
            addCriterion("ID not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andMachineIdIsNull() {
            addCriterion("MACHINE_ID is null");
            return (Criteria) this;
        }

        public Criteria andMachineIdIsNotNull() {
            addCriterion("MACHINE_ID is not null");
            return (Criteria) this;
        }

        public Criteria andMachineIdEqualTo(Integer value) {
            addCriterion("MACHINE_ID =", value, "machineId");
            return (Criteria) this;
        }

        public Criteria andMachineIdNotEqualTo(Integer value) {
            addCriterion("MACHINE_ID <>", value, "machineId");
            return (Criteria) this;
        }

        public Criteria andMachineIdGreaterThan(Integer value) {
            addCriterion("MACHINE_ID >", value, "machineId");
            return (Criteria) this;
        }

        public Criteria andMachineIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("MACHINE_ID >=", value, "machineId");
            return (Criteria) this;
        }

        public Criteria andMachineIdLessThan(Integer value) {
            addCriterion("MACHINE_ID <", value, "machineId");
            return (Criteria) this;
        }

        public Criteria andMachineIdLessThanOrEqualTo(Integer value) {
            addCriterion("MACHINE_ID <=", value, "machineId");
            return (Criteria) this;
        }

        public Criteria andMachineIdIn(List<Integer> values) {
            addCriterion("MACHINE_ID in", values, "machineId");
            return (Criteria) this;
        }

        public Criteria andMachineIdNotIn(List<Integer> values) {
            addCriterion("MACHINE_ID not in", values, "machineId");
            return (Criteria) this;
        }

        public Criteria andMachineIdBetween(Integer value1, Integer value2) {
            addCriterion("MACHINE_ID between", value1, value2, "machineId");
            return (Criteria) this;
        }

        public Criteria andMachineIdNotBetween(Integer value1, Integer value2) {
            addCriterion("MACHINE_ID not between", value1, value2, "machineId");
            return (Criteria) this;
        }

        public Criteria andDatInsertIsNull() {
            addCriterion("DAT_INSERT is null");
            return (Criteria) this;
        }

        public Criteria andDatInsertIsNotNull() {
            addCriterion("DAT_INSERT is not null");
            return (Criteria) this;
        }

        public Criteria andDatInsertEqualTo(Date value) {
            addCriterionForJDBCDate("DAT_INSERT =", value, "datInsert");
            return (Criteria) this;
        }

        public Criteria andDatInsertNotEqualTo(Date value) {
            addCriterionForJDBCDate("DAT_INSERT <>", value, "datInsert");
            return (Criteria) this;
        }

        public Criteria andDatInsertGreaterThan(Date value) {
            addCriterionForJDBCDate("DAT_INSERT >", value, "datInsert");
            return (Criteria) this;
        }

        public Criteria andDatInsertGreaterThanOrEqualTo(Date value) {
            addCriterionForJDBCDate("DAT_INSERT >=", value, "datInsert");
            return (Criteria) this;
        }

        public Criteria andDatInsertLessThan(Date value) {
            addCriterionForJDBCDate("DAT_INSERT <", value, "datInsert");
            return (Criteria) this;
        }

        public Criteria andDatInsertLessThanOrEqualTo(Date value) {
            addCriterionForJDBCDate("DAT_INSERT <=", value, "datInsert");
            return (Criteria) this;
        }

        public Criteria andDatInsertIn(List<Date> values) {
            addCriterionForJDBCDate("DAT_INSERT in", values, "datInsert");
            return (Criteria) this;
        }

        public Criteria andDatInsertNotIn(List<Date> values) {
            addCriterionForJDBCDate("DAT_INSERT not in", values, "datInsert");
            return (Criteria) this;
        }

        public Criteria andDatInsertBetween(Date value1, Date value2) {
            addCriterionForJDBCDate("DAT_INSERT between", value1, value2, "datInsert");
            return (Criteria) this;
        }

        public Criteria andDatInsertNotBetween(Date value1, Date value2) {
            addCriterionForJDBCDate("DAT_INSERT not between", value1, value2, "datInsert");
            return (Criteria) this;
        }

        public Criteria andTimeInsertIsNull() {
            addCriterion("TIME_INSERT is null");
            return (Criteria) this;
        }

        public Criteria andTimeInsertIsNotNull() {
            addCriterion("TIME_INSERT is not null");
            return (Criteria) this;
        }

        public Criteria andTimeInsertEqualTo(Date value) {
            addCriterionForJDBCTime("TIME_INSERT =", value, "timeInsert");
            return (Criteria) this;
        }

        public Criteria andTimeInsertNotEqualTo(Date value) {
            addCriterionForJDBCTime("TIME_INSERT <>", value, "timeInsert");
            return (Criteria) this;
        }

        public Criteria andTimeInsertGreaterThan(Date value) {
            addCriterionForJDBCTime("TIME_INSERT >", value, "timeInsert");
            return (Criteria) this;
        }

        public Criteria andTimeInsertGreaterThanOrEqualTo(Date value) {
            addCriterionForJDBCTime("TIME_INSERT >=", value, "timeInsert");
            return (Criteria) this;
        }

        public Criteria andTimeInsertLessThan(Date value) {
            addCriterionForJDBCTime("TIME_INSERT <", value, "timeInsert");
            return (Criteria) this;
        }

        public Criteria andTimeInsertLessThanOrEqualTo(Date value) {
            addCriterionForJDBCTime("TIME_INSERT <=", value, "timeInsert");
            return (Criteria) this;
        }

        public Criteria andTimeInsertIn(List<Date> values) {
            addCriterionForJDBCTime("TIME_INSERT in", values, "timeInsert");
            return (Criteria) this;
        }

        public Criteria andTimeInsertNotIn(List<Date> values) {
            addCriterionForJDBCTime("TIME_INSERT not in", values, "timeInsert");
            return (Criteria) this;
        }

        public Criteria andTimeInsertBetween(Date value1, Date value2) {
            addCriterionForJDBCTime("TIME_INSERT between", value1, value2, "timeInsert");
            return (Criteria) this;
        }

        public Criteria andTimeInsertNotBetween(Date value1, Date value2) {
            addCriterionForJDBCTime("TIME_INSERT not between", value1, value2, "timeInsert");
            return (Criteria) this;
        }

        public Criteria andRCndPInP3IsNull() {
            addCriterion("R_CND_P_IN_P3 is null");
            return (Criteria) this;
        }

        public Criteria andRCndPInP3IsNotNull() {
            addCriterion("R_CND_P_IN_P3 is not null");
            return (Criteria) this;
        }

        public Criteria andRCndPInP3EqualTo(Double value) {
            addCriterion("R_CND_P_IN_P3 =", value, "rCndPInP3");
            return (Criteria) this;
        }

        public Criteria andRCndPInP3NotEqualTo(Double value) {
            addCriterion("R_CND_P_IN_P3 <>", value, "rCndPInP3");
            return (Criteria) this;
        }

        public Criteria andRCndPInP3GreaterThan(Double value) {
            addCriterion("R_CND_P_IN_P3 >", value, "rCndPInP3");
            return (Criteria) this;
        }

        public Criteria andRCndPInP3GreaterThanOrEqualTo(Double value) {
            addCriterion("R_CND_P_IN_P3 >=", value, "rCndPInP3");
            return (Criteria) this;
        }

        public Criteria andRCndPInP3LessThan(Double value) {
            addCriterion("R_CND_P_IN_P3 <", value, "rCndPInP3");
            return (Criteria) this;
        }

        public Criteria andRCndPInP3LessThanOrEqualTo(Double value) {
            addCriterion("R_CND_P_IN_P3 <=", value, "rCndPInP3");
            return (Criteria) this;
        }

        public Criteria andRCndPInP3In(List<Double> values) {
            addCriterion("R_CND_P_IN_P3 in", values, "rCndPInP3");
            return (Criteria) this;
        }

        public Criteria andRCndPInP3NotIn(List<Double> values) {
            addCriterion("R_CND_P_IN_P3 not in", values, "rCndPInP3");
            return (Criteria) this;
        }

        public Criteria andRCndPInP3Between(Double value1, Double value2) {
            addCriterion("R_CND_P_IN_P3 between", value1, value2, "rCndPInP3");
            return (Criteria) this;
        }

        public Criteria andRCndPInP3NotBetween(Double value1, Double value2) {
            addCriterion("R_CND_P_IN_P3 not between", value1, value2, "rCndPInP3");
            return (Criteria) this;
        }

        public Criteria andRCmpPInP8IsNull() {
            addCriterion("R_CMP_P_IN_P8 is null");
            return (Criteria) this;
        }

        public Criteria andRCmpPInP8IsNotNull() {
            addCriterion("R_CMP_P_IN_P8 is not null");
            return (Criteria) this;
        }

        public Criteria andRCmpPInP8EqualTo(Double value) {
            addCriterion("R_CMP_P_IN_P8 =", value, "rCmpPInP8");
            return (Criteria) this;
        }

        public Criteria andRCmpPInP8NotEqualTo(Double value) {
            addCriterion("R_CMP_P_IN_P8 <>", value, "rCmpPInP8");
            return (Criteria) this;
        }

        public Criteria andRCmpPInP8GreaterThan(Double value) {
            addCriterion("R_CMP_P_IN_P8 >", value, "rCmpPInP8");
            return (Criteria) this;
        }

        public Criteria andRCmpPInP8GreaterThanOrEqualTo(Double value) {
            addCriterion("R_CMP_P_IN_P8 >=", value, "rCmpPInP8");
            return (Criteria) this;
        }

        public Criteria andRCmpPInP8LessThan(Double value) {
            addCriterion("R_CMP_P_IN_P8 <", value, "rCmpPInP8");
            return (Criteria) this;
        }

        public Criteria andRCmpPInP8LessThanOrEqualTo(Double value) {
            addCriterion("R_CMP_P_IN_P8 <=", value, "rCmpPInP8");
            return (Criteria) this;
        }

        public Criteria andRCmpPInP8In(List<Double> values) {
            addCriterion("R_CMP_P_IN_P8 in", values, "rCmpPInP8");
            return (Criteria) this;
        }

        public Criteria andRCmpPInP8NotIn(List<Double> values) {
            addCriterion("R_CMP_P_IN_P8 not in", values, "rCmpPInP8");
            return (Criteria) this;
        }

        public Criteria andRCmpPInP8Between(Double value1, Double value2) {
            addCriterion("R_CMP_P_IN_P8 between", value1, value2, "rCmpPInP8");
            return (Criteria) this;
        }

        public Criteria andRCmpPInP8NotBetween(Double value1, Double value2) {
            addCriterion("R_CMP_P_IN_P8 not between", value1, value2, "rCmpPInP8");
            return (Criteria) this;
        }

        public Criteria andREvpPInP9IsNull() {
            addCriterion("R_EVP_P_IN_P9 is null");
            return (Criteria) this;
        }

        public Criteria andREvpPInP9IsNotNull() {
            addCriterion("R_EVP_P_IN_P9 is not null");
            return (Criteria) this;
        }

        public Criteria andREvpPInP9EqualTo(Double value) {
            addCriterion("R_EVP_P_IN_P9 =", value, "rEvpPInP9");
            return (Criteria) this;
        }

        public Criteria andREvpPInP9NotEqualTo(Double value) {
            addCriterion("R_EVP_P_IN_P9 <>", value, "rEvpPInP9");
            return (Criteria) this;
        }

        public Criteria andREvpPInP9GreaterThan(Double value) {
            addCriterion("R_EVP_P_IN_P9 >", value, "rEvpPInP9");
            return (Criteria) this;
        }

        public Criteria andREvpPInP9GreaterThanOrEqualTo(Double value) {
            addCriterion("R_EVP_P_IN_P9 >=", value, "rEvpPInP9");
            return (Criteria) this;
        }

        public Criteria andREvpPInP9LessThan(Double value) {
            addCriterion("R_EVP_P_IN_P9 <", value, "rEvpPInP9");
            return (Criteria) this;
        }

        public Criteria andREvpPInP9LessThanOrEqualTo(Double value) {
            addCriterion("R_EVP_P_IN_P9 <=", value, "rEvpPInP9");
            return (Criteria) this;
        }

        public Criteria andREvpPInP9In(List<Double> values) {
            addCriterion("R_EVP_P_IN_P9 in", values, "rEvpPInP9");
            return (Criteria) this;
        }

        public Criteria andREvpPInP9NotIn(List<Double> values) {
            addCriterion("R_EVP_P_IN_P9 not in", values, "rEvpPInP9");
            return (Criteria) this;
        }

        public Criteria andREvpPInP9Between(Double value1, Double value2) {
            addCriterion("R_EVP_P_IN_P9 between", value1, value2, "rEvpPInP9");
            return (Criteria) this;
        }

        public Criteria andREvpPInP9NotBetween(Double value1, Double value2) {
            addCriterion("R_EVP_P_IN_P9 not between", value1, value2, "rEvpPInP9");
            return (Criteria) this;
        }

        public Criteria andREvpTOutT26IsNull() {
            addCriterion("R_EVP_T_OUT_T26 is null");
            return (Criteria) this;
        }

        public Criteria andREvpTOutT26IsNotNull() {
            addCriterion("R_EVP_T_OUT_T26 is not null");
            return (Criteria) this;
        }

        public Criteria andREvpTOutT26EqualTo(Double value) {
            addCriterion("R_EVP_T_OUT_T26 =", value, "rEvpTOutT26");
            return (Criteria) this;
        }

        public Criteria andREvpTOutT26NotEqualTo(Double value) {
            addCriterion("R_EVP_T_OUT_T26 <>", value, "rEvpTOutT26");
            return (Criteria) this;
        }

        public Criteria andREvpTOutT26GreaterThan(Double value) {
            addCriterion("R_EVP_T_OUT_T26 >", value, "rEvpTOutT26");
            return (Criteria) this;
        }

        public Criteria andREvpTOutT26GreaterThanOrEqualTo(Double value) {
            addCriterion("R_EVP_T_OUT_T26 >=", value, "rEvpTOutT26");
            return (Criteria) this;
        }

        public Criteria andREvpTOutT26LessThan(Double value) {
            addCriterion("R_EVP_T_OUT_T26 <", value, "rEvpTOutT26");
            return (Criteria) this;
        }

        public Criteria andREvpTOutT26LessThanOrEqualTo(Double value) {
            addCriterion("R_EVP_T_OUT_T26 <=", value, "rEvpTOutT26");
            return (Criteria) this;
        }

        public Criteria andREvpTOutT26In(List<Double> values) {
            addCriterion("R_EVP_T_OUT_T26 in", values, "rEvpTOutT26");
            return (Criteria) this;
        }

        public Criteria andREvpTOutT26NotIn(List<Double> values) {
            addCriterion("R_EVP_T_OUT_T26 not in", values, "rEvpTOutT26");
            return (Criteria) this;
        }

        public Criteria andREvpTOutT26Between(Double value1, Double value2) {
            addCriterion("R_EVP_T_OUT_T26 between", value1, value2, "rEvpTOutT26");
            return (Criteria) this;
        }

        public Criteria andREvpTOutT26NotBetween(Double value1, Double value2) {
            addCriterion("R_EVP_T_OUT_T26 not between", value1, value2, "rEvpTOutT26");
            return (Criteria) this;
        }

        public Criteria andRCndTOutT44IsNull() {
            addCriterion("R_CND_T_OUT_T44 is null");
            return (Criteria) this;
        }

        public Criteria andRCndTOutT44IsNotNull() {
            addCriterion("R_CND_T_OUT_T44 is not null");
            return (Criteria) this;
        }

        public Criteria andRCndTOutT44EqualTo(Double value) {
            addCriterion("R_CND_T_OUT_T44 =", value, "rCndTOutT44");
            return (Criteria) this;
        }

        public Criteria andRCndTOutT44NotEqualTo(Double value) {
            addCriterion("R_CND_T_OUT_T44 <>", value, "rCndTOutT44");
            return (Criteria) this;
        }

        public Criteria andRCndTOutT44GreaterThan(Double value) {
            addCriterion("R_CND_T_OUT_T44 >", value, "rCndTOutT44");
            return (Criteria) this;
        }

        public Criteria andRCndTOutT44GreaterThanOrEqualTo(Double value) {
            addCriterion("R_CND_T_OUT_T44 >=", value, "rCndTOutT44");
            return (Criteria) this;
        }

        public Criteria andRCndTOutT44LessThan(Double value) {
            addCriterion("R_CND_T_OUT_T44 <", value, "rCndTOutT44");
            return (Criteria) this;
        }

        public Criteria andRCndTOutT44LessThanOrEqualTo(Double value) {
            addCriterion("R_CND_T_OUT_T44 <=", value, "rCndTOutT44");
            return (Criteria) this;
        }

        public Criteria andRCndTOutT44In(List<Double> values) {
            addCriterion("R_CND_T_OUT_T44 in", values, "rCndTOutT44");
            return (Criteria) this;
        }

        public Criteria andRCndTOutT44NotIn(List<Double> values) {
            addCriterion("R_CND_T_OUT_T44 not in", values, "rCndTOutT44");
            return (Criteria) this;
        }

        public Criteria andRCndTOutT44Between(Double value1, Double value2) {
            addCriterion("R_CND_T_OUT_T44 between", value1, value2, "rCndTOutT44");
            return (Criteria) this;
        }

        public Criteria andRCndTOutT44NotBetween(Double value1, Double value2) {
            addCriterion("R_CND_T_OUT_T44 not between", value1, value2, "rCndTOutT44");
            return (Criteria) this;
        }

        public Criteria andRCndTInT46IsNull() {
            addCriterion("R_CND_T_IN_T46 is null");
            return (Criteria) this;
        }

        public Criteria andRCndTInT46IsNotNull() {
            addCriterion("R_CND_T_IN_T46 is not null");
            return (Criteria) this;
        }

        public Criteria andRCndTInT46EqualTo(Double value) {
            addCriterion("R_CND_T_IN_T46 =", value, "rCndTInT46");
            return (Criteria) this;
        }

        public Criteria andRCndTInT46NotEqualTo(Double value) {
            addCriterion("R_CND_T_IN_T46 <>", value, "rCndTInT46");
            return (Criteria) this;
        }

        public Criteria andRCndTInT46GreaterThan(Double value) {
            addCriterion("R_CND_T_IN_T46 >", value, "rCndTInT46");
            return (Criteria) this;
        }

        public Criteria andRCndTInT46GreaterThanOrEqualTo(Double value) {
            addCriterion("R_CND_T_IN_T46 >=", value, "rCndTInT46");
            return (Criteria) this;
        }

        public Criteria andRCndTInT46LessThan(Double value) {
            addCriterion("R_CND_T_IN_T46 <", value, "rCndTInT46");
            return (Criteria) this;
        }

        public Criteria andRCndTInT46LessThanOrEqualTo(Double value) {
            addCriterion("R_CND_T_IN_T46 <=", value, "rCndTInT46");
            return (Criteria) this;
        }

        public Criteria andRCndTInT46In(List<Double> values) {
            addCriterion("R_CND_T_IN_T46 in", values, "rCndTInT46");
            return (Criteria) this;
        }

        public Criteria andRCndTInT46NotIn(List<Double> values) {
            addCriterion("R_CND_T_IN_T46 not in", values, "rCndTInT46");
            return (Criteria) this;
        }

        public Criteria andRCndTInT46Between(Double value1, Double value2) {
            addCriterion("R_CND_T_IN_T46 between", value1, value2, "rCndTInT46");
            return (Criteria) this;
        }

        public Criteria andRCndTInT46NotBetween(Double value1, Double value2) {
            addCriterion("R_CND_T_IN_T46 not between", value1, value2, "rCndTInT46");
            return (Criteria) this;
        }

        public Criteria andRCmpTInT56IsNull() {
            addCriterion("R_CMP_T_IN_T56 is null");
            return (Criteria) this;
        }

        public Criteria andRCmpTInT56IsNotNull() {
            addCriterion("R_CMP_T_IN_T56 is not null");
            return (Criteria) this;
        }

        public Criteria andRCmpTInT56EqualTo(Double value) {
            addCriterion("R_CMP_T_IN_T56 =", value, "rCmpTInT56");
            return (Criteria) this;
        }

        public Criteria andRCmpTInT56NotEqualTo(Double value) {
            addCriterion("R_CMP_T_IN_T56 <>", value, "rCmpTInT56");
            return (Criteria) this;
        }

        public Criteria andRCmpTInT56GreaterThan(Double value) {
            addCriterion("R_CMP_T_IN_T56 >", value, "rCmpTInT56");
            return (Criteria) this;
        }

        public Criteria andRCmpTInT56GreaterThanOrEqualTo(Double value) {
            addCriterion("R_CMP_T_IN_T56 >=", value, "rCmpTInT56");
            return (Criteria) this;
        }

        public Criteria andRCmpTInT56LessThan(Double value) {
            addCriterion("R_CMP_T_IN_T56 <", value, "rCmpTInT56");
            return (Criteria) this;
        }

        public Criteria andRCmpTInT56LessThanOrEqualTo(Double value) {
            addCriterion("R_CMP_T_IN_T56 <=", value, "rCmpTInT56");
            return (Criteria) this;
        }

        public Criteria andRCmpTInT56In(List<Double> values) {
            addCriterion("R_CMP_T_IN_T56 in", values, "rCmpTInT56");
            return (Criteria) this;
        }

        public Criteria andRCmpTInT56NotIn(List<Double> values) {
            addCriterion("R_CMP_T_IN_T56 not in", values, "rCmpTInT56");
            return (Criteria) this;
        }

        public Criteria andRCmpTInT56Between(Double value1, Double value2) {
            addCriterion("R_CMP_T_IN_T56 between", value1, value2, "rCmpTInT56");
            return (Criteria) this;
        }

        public Criteria andRCmpTInT56NotBetween(Double value1, Double value2) {
            addCriterion("R_CMP_T_IN_T56 not between", value1, value2, "rCmpTInT56");
            return (Criteria) this;
        }

        public Criteria andREvpTInT52IsNull() {
            addCriterion("R_EVP_T_IN_T52 is null");
            return (Criteria) this;
        }

        public Criteria andREvpTInT52IsNotNull() {
            addCriterion("R_EVP_T_IN_T52 is not null");
            return (Criteria) this;
        }

        public Criteria andREvpTInT52EqualTo(Double value) {
            addCriterion("R_EVP_T_IN_T52 =", value, "rEvpTInT52");
            return (Criteria) this;
        }

        public Criteria andREvpTInT52NotEqualTo(Double value) {
            addCriterion("R_EVP_T_IN_T52 <>", value, "rEvpTInT52");
            return (Criteria) this;
        }

        public Criteria andREvpTInT52GreaterThan(Double value) {
            addCriterion("R_EVP_T_IN_T52 >", value, "rEvpTInT52");
            return (Criteria) this;
        }

        public Criteria andREvpTInT52GreaterThanOrEqualTo(Double value) {
            addCriterion("R_EVP_T_IN_T52 >=", value, "rEvpTInT52");
            return (Criteria) this;
        }

        public Criteria andREvpTInT52LessThan(Double value) {
            addCriterion("R_EVP_T_IN_T52 <", value, "rEvpTInT52");
            return (Criteria) this;
        }

        public Criteria andREvpTInT52LessThanOrEqualTo(Double value) {
            addCriterion("R_EVP_T_IN_T52 <=", value, "rEvpTInT52");
            return (Criteria) this;
        }

        public Criteria andREvpTInT52In(List<Double> values) {
            addCriterion("R_EVP_T_IN_T52 in", values, "rEvpTInT52");
            return (Criteria) this;
        }

        public Criteria andREvpTInT52NotIn(List<Double> values) {
            addCriterion("R_EVP_T_IN_T52 not in", values, "rEvpTInT52");
            return (Criteria) this;
        }

        public Criteria andREvpTInT52Between(Double value1, Double value2) {
            addCriterion("R_EVP_T_IN_T52 between", value1, value2, "rEvpTInT52");
            return (Criteria) this;
        }

        public Criteria andREvpTInT52NotBetween(Double value1, Double value2) {
            addCriterion("R_EVP_T_IN_T52 not between", value1, value2, "rEvpTInT52");
            return (Criteria) this;
        }

        public Criteria andAEvpTSpcIsNull() {
            addCriterion("A_EVP_T_SPC is null");
            return (Criteria) this;
        }

        public Criteria andAEvpTSpcIsNotNull() {
            addCriterion("A_EVP_T_SPC is not null");
            return (Criteria) this;
        }

        public Criteria andAEvpTSpcEqualTo(Double value) {
            addCriterion("A_EVP_T_SPC =", value, "aEvpTSpc");
            return (Criteria) this;
        }

        public Criteria andAEvpTSpcNotEqualTo(Double value) {
            addCriterion("A_EVP_T_SPC <>", value, "aEvpTSpc");
            return (Criteria) this;
        }

        public Criteria andAEvpTSpcGreaterThan(Double value) {
            addCriterion("A_EVP_T_SPC >", value, "aEvpTSpc");
            return (Criteria) this;
        }

        public Criteria andAEvpTSpcGreaterThanOrEqualTo(Double value) {
            addCriterion("A_EVP_T_SPC >=", value, "aEvpTSpc");
            return (Criteria) this;
        }

        public Criteria andAEvpTSpcLessThan(Double value) {
            addCriterion("A_EVP_T_SPC <", value, "aEvpTSpc");
            return (Criteria) this;
        }

        public Criteria andAEvpTSpcLessThanOrEqualTo(Double value) {
            addCriterion("A_EVP_T_SPC <=", value, "aEvpTSpc");
            return (Criteria) this;
        }

        public Criteria andAEvpTSpcIn(List<Double> values) {
            addCriterion("A_EVP_T_SPC in", values, "aEvpTSpc");
            return (Criteria) this;
        }

        public Criteria andAEvpTSpcNotIn(List<Double> values) {
            addCriterion("A_EVP_T_SPC not in", values, "aEvpTSpc");
            return (Criteria) this;
        }

        public Criteria andAEvpTSpcBetween(Double value1, Double value2) {
            addCriterion("A_EVP_T_SPC between", value1, value2, "aEvpTSpc");
            return (Criteria) this;
        }

        public Criteria andAEvpTSpcNotBetween(Double value1, Double value2) {
            addCriterion("A_EVP_T_SPC not between", value1, value2, "aEvpTSpc");
            return (Criteria) this;
        }

        public Criteria andAEvpTSpfIsNull() {
            addCriterion("A_EVP_T_SPF is null");
            return (Criteria) this;
        }

        public Criteria andAEvpTSpfIsNotNull() {
            addCriterion("A_EVP_T_SPF is not null");
            return (Criteria) this;
        }

        public Criteria andAEvpTSpfEqualTo(Double value) {
            addCriterion("A_EVP_T_SPF =", value, "aEvpTSpf");
            return (Criteria) this;
        }

        public Criteria andAEvpTSpfNotEqualTo(Double value) {
            addCriterion("A_EVP_T_SPF <>", value, "aEvpTSpf");
            return (Criteria) this;
        }

        public Criteria andAEvpTSpfGreaterThan(Double value) {
            addCriterion("A_EVP_T_SPF >", value, "aEvpTSpf");
            return (Criteria) this;
        }

        public Criteria andAEvpTSpfGreaterThanOrEqualTo(Double value) {
            addCriterion("A_EVP_T_SPF >=", value, "aEvpTSpf");
            return (Criteria) this;
        }

        public Criteria andAEvpTSpfLessThan(Double value) {
            addCriterion("A_EVP_T_SPF <", value, "aEvpTSpf");
            return (Criteria) this;
        }

        public Criteria andAEvpTSpfLessThanOrEqualTo(Double value) {
            addCriterion("A_EVP_T_SPF <=", value, "aEvpTSpf");
            return (Criteria) this;
        }

        public Criteria andAEvpTSpfIn(List<Double> values) {
            addCriterion("A_EVP_T_SPF in", values, "aEvpTSpf");
            return (Criteria) this;
        }

        public Criteria andAEvpTSpfNotIn(List<Double> values) {
            addCriterion("A_EVP_T_SPF not in", values, "aEvpTSpf");
            return (Criteria) this;
        }

        public Criteria andAEvpTSpfBetween(Double value1, Double value2) {
            addCriterion("A_EVP_T_SPF between", value1, value2, "aEvpTSpf");
            return (Criteria) this;
        }

        public Criteria andAEvpTSpfNotBetween(Double value1, Double value2) {
            addCriterion("A_EVP_T_SPF not between", value1, value2, "aEvpTSpf");
            return (Criteria) this;
        }

        public Criteria andACndTSpcIsNull() {
            addCriterion("A_CND_T_SPC is null");
            return (Criteria) this;
        }

        public Criteria andACndTSpcIsNotNull() {
            addCriterion("A_CND_T_SPC is not null");
            return (Criteria) this;
        }

        public Criteria andACndTSpcEqualTo(Double value) {
            addCriterion("A_CND_T_SPC =", value, "aCndTSpc");
            return (Criteria) this;
        }

        public Criteria andACndTSpcNotEqualTo(Double value) {
            addCriterion("A_CND_T_SPC <>", value, "aCndTSpc");
            return (Criteria) this;
        }

        public Criteria andACndTSpcGreaterThan(Double value) {
            addCriterion("A_CND_T_SPC >", value, "aCndTSpc");
            return (Criteria) this;
        }

        public Criteria andACndTSpcGreaterThanOrEqualTo(Double value) {
            addCriterion("A_CND_T_SPC >=", value, "aCndTSpc");
            return (Criteria) this;
        }

        public Criteria andACndTSpcLessThan(Double value) {
            addCriterion("A_CND_T_SPC <", value, "aCndTSpc");
            return (Criteria) this;
        }

        public Criteria andACndTSpcLessThanOrEqualTo(Double value) {
            addCriterion("A_CND_T_SPC <=", value, "aCndTSpc");
            return (Criteria) this;
        }

        public Criteria andACndTSpcIn(List<Double> values) {
            addCriterion("A_CND_T_SPC in", values, "aCndTSpc");
            return (Criteria) this;
        }

        public Criteria andACndTSpcNotIn(List<Double> values) {
            addCriterion("A_CND_T_SPC not in", values, "aCndTSpc");
            return (Criteria) this;
        }

        public Criteria andACndTSpcBetween(Double value1, Double value2) {
            addCriterion("A_CND_T_SPC between", value1, value2, "aCndTSpc");
            return (Criteria) this;
        }

        public Criteria andACndTSpcNotBetween(Double value1, Double value2) {
            addCriterion("A_CND_T_SPC not between", value1, value2, "aCndTSpc");
            return (Criteria) this;
        }

        public Criteria andACndTSpfIsNull() {
            addCriterion("A_CND_T_SPF is null");
            return (Criteria) this;
        }

        public Criteria andACndTSpfIsNotNull() {
            addCriterion("A_CND_T_SPF is not null");
            return (Criteria) this;
        }

        public Criteria andACndTSpfEqualTo(Double value) {
            addCriterion("A_CND_T_SPF =", value, "aCndTSpf");
            return (Criteria) this;
        }

        public Criteria andACndTSpfNotEqualTo(Double value) {
            addCriterion("A_CND_T_SPF <>", value, "aCndTSpf");
            return (Criteria) this;
        }

        public Criteria andACndTSpfGreaterThan(Double value) {
            addCriterion("A_CND_T_SPF >", value, "aCndTSpf");
            return (Criteria) this;
        }

        public Criteria andACndTSpfGreaterThanOrEqualTo(Double value) {
            addCriterion("A_CND_T_SPF >=", value, "aCndTSpf");
            return (Criteria) this;
        }

        public Criteria andACndTSpfLessThan(Double value) {
            addCriterion("A_CND_T_SPF <", value, "aCndTSpf");
            return (Criteria) this;
        }

        public Criteria andACndTSpfLessThanOrEqualTo(Double value) {
            addCriterion("A_CND_T_SPF <=", value, "aCndTSpf");
            return (Criteria) this;
        }

        public Criteria andACndTSpfIn(List<Double> values) {
            addCriterion("A_CND_T_SPF in", values, "aCndTSpf");
            return (Criteria) this;
        }

        public Criteria andACndTSpfNotIn(List<Double> values) {
            addCriterion("A_CND_T_SPF not in", values, "aCndTSpf");
            return (Criteria) this;
        }

        public Criteria andACndTSpfBetween(Double value1, Double value2) {
            addCriterion("A_CND_T_SPF between", value1, value2, "aCndTSpf");
            return (Criteria) this;
        }

        public Criteria andACndTSpfNotBetween(Double value1, Double value2) {
            addCriterion("A_CND_T_SPF not between", value1, value2, "aCndTSpf");
            return (Criteria) this;
        }

        public Criteria andACndTInT13T16IsNull() {
            addCriterion("A_CND_T_IN_T13_T16 is null");
            return (Criteria) this;
        }

        public Criteria andACndTInT13T16IsNotNull() {
            addCriterion("A_CND_T_IN_T13_T16 is not null");
            return (Criteria) this;
        }

        public Criteria andACndTInT13T16EqualTo(Double value) {
            addCriterion("A_CND_T_IN_T13_T16 =", value, "aCndTInT13T16");
            return (Criteria) this;
        }

        public Criteria andACndTInT13T16NotEqualTo(Double value) {
            addCriterion("A_CND_T_IN_T13_T16 <>", value, "aCndTInT13T16");
            return (Criteria) this;
        }

        public Criteria andACndTInT13T16GreaterThan(Double value) {
            addCriterion("A_CND_T_IN_T13_T16 >", value, "aCndTInT13T16");
            return (Criteria) this;
        }

        public Criteria andACndTInT13T16GreaterThanOrEqualTo(Double value) {
            addCriterion("A_CND_T_IN_T13_T16 >=", value, "aCndTInT13T16");
            return (Criteria) this;
        }

        public Criteria andACndTInT13T16LessThan(Double value) {
            addCriterion("A_CND_T_IN_T13_T16 <", value, "aCndTInT13T16");
            return (Criteria) this;
        }

        public Criteria andACndTInT13T16LessThanOrEqualTo(Double value) {
            addCriterion("A_CND_T_IN_T13_T16 <=", value, "aCndTInT13T16");
            return (Criteria) this;
        }

        public Criteria andACndTInT13T16In(List<Double> values) {
            addCriterion("A_CND_T_IN_T13_T16 in", values, "aCndTInT13T16");
            return (Criteria) this;
        }

        public Criteria andACndTInT13T16NotIn(List<Double> values) {
            addCriterion("A_CND_T_IN_T13_T16 not in", values, "aCndTInT13T16");
            return (Criteria) this;
        }

        public Criteria andACndTInT13T16Between(Double value1, Double value2) {
            addCriterion("A_CND_T_IN_T13_T16 between", value1, value2, "aCndTInT13T16");
            return (Criteria) this;
        }

        public Criteria andACndTInT13T16NotBetween(Double value1, Double value2) {
            addCriterion("A_CND_T_IN_T13_T16 not between", value1, value2, "aCndTInT13T16");
            return (Criteria) this;
        }

        public Criteria andAEvpTInT27T30IsNull() {
            addCriterion("A_EVP_T_IN_T27_T30 is null");
            return (Criteria) this;
        }

        public Criteria andAEvpTInT27T30IsNotNull() {
            addCriterion("A_EVP_T_IN_T27_T30 is not null");
            return (Criteria) this;
        }

        public Criteria andAEvpTInT27T30EqualTo(Double value) {
            addCriterion("A_EVP_T_IN_T27_T30 =", value, "aEvpTInT27T30");
            return (Criteria) this;
        }

        public Criteria andAEvpTInT27T30NotEqualTo(Double value) {
            addCriterion("A_EVP_T_IN_T27_T30 <>", value, "aEvpTInT27T30");
            return (Criteria) this;
        }

        public Criteria andAEvpTInT27T30GreaterThan(Double value) {
            addCriterion("A_EVP_T_IN_T27_T30 >", value, "aEvpTInT27T30");
            return (Criteria) this;
        }

        public Criteria andAEvpTInT27T30GreaterThanOrEqualTo(Double value) {
            addCriterion("A_EVP_T_IN_T27_T30 >=", value, "aEvpTInT27T30");
            return (Criteria) this;
        }

        public Criteria andAEvpTInT27T30LessThan(Double value) {
            addCriterion("A_EVP_T_IN_T27_T30 <", value, "aEvpTInT27T30");
            return (Criteria) this;
        }

        public Criteria andAEvpTInT27T30LessThanOrEqualTo(Double value) {
            addCriterion("A_EVP_T_IN_T27_T30 <=", value, "aEvpTInT27T30");
            return (Criteria) this;
        }

        public Criteria andAEvpTInT27T30In(List<Double> values) {
            addCriterion("A_EVP_T_IN_T27_T30 in", values, "aEvpTInT27T30");
            return (Criteria) this;
        }

        public Criteria andAEvpTInT27T30NotIn(List<Double> values) {
            addCriterion("A_EVP_T_IN_T27_T30 not in", values, "aEvpTInT27T30");
            return (Criteria) this;
        }

        public Criteria andAEvpTInT27T30Between(Double value1, Double value2) {
            addCriterion("A_EVP_T_IN_T27_T30 between", value1, value2, "aEvpTInT27T30");
            return (Criteria) this;
        }

        public Criteria andAEvpTInT27T30NotBetween(Double value1, Double value2) {
            addCriterion("A_EVP_T_IN_T27_T30 not between", value1, value2, "aEvpTInT27T30");
            return (Criteria) this;
        }

        public Criteria andAEvpTOutT36T39IsNull() {
            addCriterion("A_EVP_T_OUT_T36_T39 is null");
            return (Criteria) this;
        }

        public Criteria andAEvpTOutT36T39IsNotNull() {
            addCriterion("A_EVP_T_OUT_T36_T39 is not null");
            return (Criteria) this;
        }

        public Criteria andAEvpTOutT36T39EqualTo(Double value) {
            addCriterion("A_EVP_T_OUT_T36_T39 =", value, "aEvpTOutT36T39");
            return (Criteria) this;
        }

        public Criteria andAEvpTOutT36T39NotEqualTo(Double value) {
            addCriterion("A_EVP_T_OUT_T36_T39 <>", value, "aEvpTOutT36T39");
            return (Criteria) this;
        }

        public Criteria andAEvpTOutT36T39GreaterThan(Double value) {
            addCriterion("A_EVP_T_OUT_T36_T39 >", value, "aEvpTOutT36T39");
            return (Criteria) this;
        }

        public Criteria andAEvpTOutT36T39GreaterThanOrEqualTo(Double value) {
            addCriterion("A_EVP_T_OUT_T36_T39 >=", value, "aEvpTOutT36T39");
            return (Criteria) this;
        }

        public Criteria andAEvpTOutT36T39LessThan(Double value) {
            addCriterion("A_EVP_T_OUT_T36_T39 <", value, "aEvpTOutT36T39");
            return (Criteria) this;
        }

        public Criteria andAEvpTOutT36T39LessThanOrEqualTo(Double value) {
            addCriterion("A_EVP_T_OUT_T36_T39 <=", value, "aEvpTOutT36T39");
            return (Criteria) this;
        }

        public Criteria andAEvpTOutT36T39In(List<Double> values) {
            addCriterion("A_EVP_T_OUT_T36_T39 in", values, "aEvpTOutT36T39");
            return (Criteria) this;
        }

        public Criteria andAEvpTOutT36T39NotIn(List<Double> values) {
            addCriterion("A_EVP_T_OUT_T36_T39 not in", values, "aEvpTOutT36T39");
            return (Criteria) this;
        }

        public Criteria andAEvpTOutT36T39Between(Double value1, Double value2) {
            addCriterion("A_EVP_T_OUT_T36_T39 between", value1, value2, "aEvpTOutT36T39");
            return (Criteria) this;
        }

        public Criteria andAEvpTOutT36T39NotBetween(Double value1, Double value2) {
            addCriterion("A_EVP_T_OUT_T36_T39 not between", value1, value2, "aEvpTOutT36T39");
            return (Criteria) this;
        }

        public Criteria andACndTOutT09T12IsNull() {
            addCriterion("A_CND_T_OUT_T09_T12 is null");
            return (Criteria) this;
        }

        public Criteria andACndTOutT09T12IsNotNull() {
            addCriterion("A_CND_T_OUT_T09_T12 is not null");
            return (Criteria) this;
        }

        public Criteria andACndTOutT09T12EqualTo(Double value) {
            addCriterion("A_CND_T_OUT_T09_T12 =", value, "aCndTOutT09T12");
            return (Criteria) this;
        }

        public Criteria andACndTOutT09T12NotEqualTo(Double value) {
            addCriterion("A_CND_T_OUT_T09_T12 <>", value, "aCndTOutT09T12");
            return (Criteria) this;
        }

        public Criteria andACndTOutT09T12GreaterThan(Double value) {
            addCriterion("A_CND_T_OUT_T09_T12 >", value, "aCndTOutT09T12");
            return (Criteria) this;
        }

        public Criteria andACndTOutT09T12GreaterThanOrEqualTo(Double value) {
            addCriterion("A_CND_T_OUT_T09_T12 >=", value, "aCndTOutT09T12");
            return (Criteria) this;
        }

        public Criteria andACndTOutT09T12LessThan(Double value) {
            addCriterion("A_CND_T_OUT_T09_T12 <", value, "aCndTOutT09T12");
            return (Criteria) this;
        }

        public Criteria andACndTOutT09T12LessThanOrEqualTo(Double value) {
            addCriterion("A_CND_T_OUT_T09_T12 <=", value, "aCndTOutT09T12");
            return (Criteria) this;
        }

        public Criteria andACndTOutT09T12In(List<Double> values) {
            addCriterion("A_CND_T_OUT_T09_T12 in", values, "aCndTOutT09T12");
            return (Criteria) this;
        }

        public Criteria andACndTOutT09T12NotIn(List<Double> values) {
            addCriterion("A_CND_T_OUT_T09_T12 not in", values, "aCndTOutT09T12");
            return (Criteria) this;
        }

        public Criteria andACndTOutT09T12Between(Double value1, Double value2) {
            addCriterion("A_CND_T_OUT_T09_T12 between", value1, value2, "aCndTOutT09T12");
            return (Criteria) this;
        }

        public Criteria andACndTOutT09T12NotBetween(Double value1, Double value2) {
            addCriterion("A_CND_T_OUT_T09_T12 not between", value1, value2, "aCndTOutT09T12");
            return (Criteria) this;
        }

        public Criteria andRPortataIsNull() {
            addCriterion("R_Portata is null");
            return (Criteria) this;
        }

        public Criteria andRPortataIsNotNull() {
            addCriterion("R_Portata is not null");
            return (Criteria) this;
        }

        public Criteria andRPortataEqualTo(Double value) {
            addCriterion("R_Portata =", value, "rPortata");
            return (Criteria) this;
        }

        public Criteria andRPortataNotEqualTo(Double value) {
            addCriterion("R_Portata <>", value, "rPortata");
            return (Criteria) this;
        }

        public Criteria andRPortataGreaterThan(Double value) {
            addCriterion("R_Portata >", value, "rPortata");
            return (Criteria) this;
        }

        public Criteria andRPortataGreaterThanOrEqualTo(Double value) {
            addCriterion("R_Portata >=", value, "rPortata");
            return (Criteria) this;
        }

        public Criteria andRPortataLessThan(Double value) {
            addCriterion("R_Portata <", value, "rPortata");
            return (Criteria) this;
        }

        public Criteria andRPortataLessThanOrEqualTo(Double value) {
            addCriterion("R_Portata <=", value, "rPortata");
            return (Criteria) this;
        }

        public Criteria andRPortataIn(List<Double> values) {
            addCriterion("R_Portata in", values, "rPortata");
            return (Criteria) this;
        }

        public Criteria andRPortataNotIn(List<Double> values) {
            addCriterion("R_Portata not in", values, "rPortata");
            return (Criteria) this;
        }

        public Criteria andRPortataBetween(Double value1, Double value2) {
            addCriterion("R_Portata between", value1, value2, "rPortata");
            return (Criteria) this;
        }

        public Criteria andRPortataNotBetween(Double value1, Double value2) {
            addCriterion("R_Portata not between", value1, value2, "rPortata");
            return (Criteria) this;
        }

        public Criteria andRCndPOutP2IsNull() {
            addCriterion("R_CND_P_OUT_P2 is null");
            return (Criteria) this;
        }

        public Criteria andRCndPOutP2IsNotNull() {
            addCriterion("R_CND_P_OUT_P2 is not null");
            return (Criteria) this;
        }

        public Criteria andRCndPOutP2EqualTo(Double value) {
            addCriterion("R_CND_P_OUT_P2 =", value, "rCndPOutP2");
            return (Criteria) this;
        }

        public Criteria andRCndPOutP2NotEqualTo(Double value) {
            addCriterion("R_CND_P_OUT_P2 <>", value, "rCndPOutP2");
            return (Criteria) this;
        }

        public Criteria andRCndPOutP2GreaterThan(Double value) {
            addCriterion("R_CND_P_OUT_P2 >", value, "rCndPOutP2");
            return (Criteria) this;
        }

        public Criteria andRCndPOutP2GreaterThanOrEqualTo(Double value) {
            addCriterion("R_CND_P_OUT_P2 >=", value, "rCndPOutP2");
            return (Criteria) this;
        }

        public Criteria andRCndPOutP2LessThan(Double value) {
            addCriterion("R_CND_P_OUT_P2 <", value, "rCndPOutP2");
            return (Criteria) this;
        }

        public Criteria andRCndPOutP2LessThanOrEqualTo(Double value) {
            addCriterion("R_CND_P_OUT_P2 <=", value, "rCndPOutP2");
            return (Criteria) this;
        }

        public Criteria andRCndPOutP2In(List<Double> values) {
            addCriterion("R_CND_P_OUT_P2 in", values, "rCndPOutP2");
            return (Criteria) this;
        }

        public Criteria andRCndPOutP2NotIn(List<Double> values) {
            addCriterion("R_CND_P_OUT_P2 not in", values, "rCndPOutP2");
            return (Criteria) this;
        }

        public Criteria andRCndPOutP2Between(Double value1, Double value2) {
            addCriterion("R_CND_P_OUT_P2 between", value1, value2, "rCndPOutP2");
            return (Criteria) this;
        }

        public Criteria andRCndPOutP2NotBetween(Double value1, Double value2) {
            addCriterion("R_CND_P_OUT_P2 not between", value1, value2, "rCndPOutP2");
            return (Criteria) this;
        }

        public Criteria andREvpPOutP5IsNull() {
            addCriterion("R_EVP_P_OUT_P5 is null");
            return (Criteria) this;
        }

        public Criteria andREvpPOutP5IsNotNull() {
            addCriterion("R_EVP_P_OUT_P5 is not null");
            return (Criteria) this;
        }

        public Criteria andREvpPOutP5EqualTo(Double value) {
            addCriterion("R_EVP_P_OUT_P5 =", value, "rEvpPOutP5");
            return (Criteria) this;
        }

        public Criteria andREvpPOutP5NotEqualTo(Double value) {
            addCriterion("R_EVP_P_OUT_P5 <>", value, "rEvpPOutP5");
            return (Criteria) this;
        }

        public Criteria andREvpPOutP5GreaterThan(Double value) {
            addCriterion("R_EVP_P_OUT_P5 >", value, "rEvpPOutP5");
            return (Criteria) this;
        }

        public Criteria andREvpPOutP5GreaterThanOrEqualTo(Double value) {
            addCriterion("R_EVP_P_OUT_P5 >=", value, "rEvpPOutP5");
            return (Criteria) this;
        }

        public Criteria andREvpPOutP5LessThan(Double value) {
            addCriterion("R_EVP_P_OUT_P5 <", value, "rEvpPOutP5");
            return (Criteria) this;
        }

        public Criteria andREvpPOutP5LessThanOrEqualTo(Double value) {
            addCriterion("R_EVP_P_OUT_P5 <=", value, "rEvpPOutP5");
            return (Criteria) this;
        }

        public Criteria andREvpPOutP5In(List<Double> values) {
            addCriterion("R_EVP_P_OUT_P5 in", values, "rEvpPOutP5");
            return (Criteria) this;
        }

        public Criteria andREvpPOutP5NotIn(List<Double> values) {
            addCriterion("R_EVP_P_OUT_P5 not in", values, "rEvpPOutP5");
            return (Criteria) this;
        }

        public Criteria andREvpPOutP5Between(Double value1, Double value2) {
            addCriterion("R_EVP_P_OUT_P5 between", value1, value2, "rEvpPOutP5");
            return (Criteria) this;
        }

        public Criteria andREvpPOutP5NotBetween(Double value1, Double value2) {
            addCriterion("R_EVP_P_OUT_P5 not between", value1, value2, "rEvpPOutP5");
            return (Criteria) this;
        }

        public Criteria andACndPortataIsNull() {
            addCriterion("A_CND_Portata is null");
            return (Criteria) this;
        }

        public Criteria andACndPortataIsNotNull() {
            addCriterion("A_CND_Portata is not null");
            return (Criteria) this;
        }

        public Criteria andACndPortataEqualTo(Double value) {
            addCriterion("A_CND_Portata =", value, "aCndPortata");
            return (Criteria) this;
        }

        public Criteria andACndPortataNotEqualTo(Double value) {
            addCriterion("A_CND_Portata <>", value, "aCndPortata");
            return (Criteria) this;
        }

        public Criteria andACndPortataGreaterThan(Double value) {
            addCriterion("A_CND_Portata >", value, "aCndPortata");
            return (Criteria) this;
        }

        public Criteria andACndPortataGreaterThanOrEqualTo(Double value) {
            addCriterion("A_CND_Portata >=", value, "aCndPortata");
            return (Criteria) this;
        }

        public Criteria andACndPortataLessThan(Double value) {
            addCriterion("A_CND_Portata <", value, "aCndPortata");
            return (Criteria) this;
        }

        public Criteria andACndPortataLessThanOrEqualTo(Double value) {
            addCriterion("A_CND_Portata <=", value, "aCndPortata");
            return (Criteria) this;
        }

        public Criteria andACndPortataIn(List<Double> values) {
            addCriterion("A_CND_Portata in", values, "aCndPortata");
            return (Criteria) this;
        }

        public Criteria andACndPortataNotIn(List<Double> values) {
            addCriterion("A_CND_Portata not in", values, "aCndPortata");
            return (Criteria) this;
        }

        public Criteria andACndPortataBetween(Double value1, Double value2) {
            addCriterion("A_CND_Portata between", value1, value2, "aCndPortata");
            return (Criteria) this;
        }

        public Criteria andACndPortataNotBetween(Double value1, Double value2) {
            addCriterion("A_CND_Portata not between", value1, value2, "aCndPortata");
            return (Criteria) this;
        }

        public Criteria andAEvpPortataIsNull() {
            addCriterion("A_EVP_Portata is null");
            return (Criteria) this;
        }

        public Criteria andAEvpPortataIsNotNull() {
            addCriterion("A_EVP_Portata is not null");
            return (Criteria) this;
        }

        public Criteria andAEvpPortataEqualTo(Double value) {
            addCriterion("A_EVP_Portata =", value, "aEvpPortata");
            return (Criteria) this;
        }

        public Criteria andAEvpPortataNotEqualTo(Double value) {
            addCriterion("A_EVP_Portata <>", value, "aEvpPortata");
            return (Criteria) this;
        }

        public Criteria andAEvpPortataGreaterThan(Double value) {
            addCriterion("A_EVP_Portata >", value, "aEvpPortata");
            return (Criteria) this;
        }

        public Criteria andAEvpPortataGreaterThanOrEqualTo(Double value) {
            addCriterion("A_EVP_Portata >=", value, "aEvpPortata");
            return (Criteria) this;
        }

        public Criteria andAEvpPortataLessThan(Double value) {
            addCriterion("A_EVP_Portata <", value, "aEvpPortata");
            return (Criteria) this;
        }

        public Criteria andAEvpPortataLessThanOrEqualTo(Double value) {
            addCriterion("A_EVP_Portata <=", value, "aEvpPortata");
            return (Criteria) this;
        }

        public Criteria andAEvpPortataIn(List<Double> values) {
            addCriterion("A_EVP_Portata in", values, "aEvpPortata");
            return (Criteria) this;
        }

        public Criteria andAEvpPortataNotIn(List<Double> values) {
            addCriterion("A_EVP_Portata not in", values, "aEvpPortata");
            return (Criteria) this;
        }

        public Criteria andAEvpPortataBetween(Double value1, Double value2) {
            addCriterion("A_EVP_Portata between", value1, value2, "aEvpPortata");
            return (Criteria) this;
        }

        public Criteria andAEvpPortataNotBetween(Double value1, Double value2) {
            addCriterion("A_EVP_Portata not between", value1, value2, "aEvpPortata");
            return (Criteria) this;
        }

        public Criteria andRpmcmpIsNull() {
            addCriterion("RPMCmp is null");
            return (Criteria) this;
        }

        public Criteria andRpmcmpIsNotNull() {
            addCriterion("RPMCmp is not null");
            return (Criteria) this;
        }

        public Criteria andRpmcmpEqualTo(Double value) {
            addCriterion("RPMCmp =", value, "rpmcmp");
            return (Criteria) this;
        }

        public Criteria andRpmcmpNotEqualTo(Double value) {
            addCriterion("RPMCmp <>", value, "rpmcmp");
            return (Criteria) this;
        }

        public Criteria andRpmcmpGreaterThan(Double value) {
            addCriterion("RPMCmp >", value, "rpmcmp");
            return (Criteria) this;
        }

        public Criteria andRpmcmpGreaterThanOrEqualTo(Double value) {
            addCriterion("RPMCmp >=", value, "rpmcmp");
            return (Criteria) this;
        }

        public Criteria andRpmcmpLessThan(Double value) {
            addCriterion("RPMCmp <", value, "rpmcmp");
            return (Criteria) this;
        }

        public Criteria andRpmcmpLessThanOrEqualTo(Double value) {
            addCriterion("RPMCmp <=", value, "rpmcmp");
            return (Criteria) this;
        }

        public Criteria andRpmcmpIn(List<Double> values) {
            addCriterion("RPMCmp in", values, "rpmcmp");
            return (Criteria) this;
        }

        public Criteria andRpmcmpNotIn(List<Double> values) {
            addCriterion("RPMCmp not in", values, "rpmcmp");
            return (Criteria) this;
        }

        public Criteria andRpmcmpBetween(Double value1, Double value2) {
            addCriterion("RPMCmp between", value1, value2, "rpmcmp");
            return (Criteria) this;
        }

        public Criteria andRpmcmpNotBetween(Double value1, Double value2) {
            addCriterion("RPMCmp not between", value1, value2, "rpmcmp");
            return (Criteria) this;
        }

        public Criteria andRCndHInIsNull() {
            addCriterion("R_CND_H_IN is null");
            return (Criteria) this;
        }

        public Criteria andRCndHInIsNotNull() {
            addCriterion("R_CND_H_IN is not null");
            return (Criteria) this;
        }

        public Criteria andRCndHInEqualTo(Double value) {
            addCriterion("R_CND_H_IN =", value, "rCndHIn");
            return (Criteria) this;
        }

        public Criteria andRCndHInNotEqualTo(Double value) {
            addCriterion("R_CND_H_IN <>", value, "rCndHIn");
            return (Criteria) this;
        }

        public Criteria andRCndHInGreaterThan(Double value) {
            addCriterion("R_CND_H_IN >", value, "rCndHIn");
            return (Criteria) this;
        }

        public Criteria andRCndHInGreaterThanOrEqualTo(Double value) {
            addCriterion("R_CND_H_IN >=", value, "rCndHIn");
            return (Criteria) this;
        }

        public Criteria andRCndHInLessThan(Double value) {
            addCriterion("R_CND_H_IN <", value, "rCndHIn");
            return (Criteria) this;
        }

        public Criteria andRCndHInLessThanOrEqualTo(Double value) {
            addCriterion("R_CND_H_IN <=", value, "rCndHIn");
            return (Criteria) this;
        }

        public Criteria andRCndHInIn(List<Double> values) {
            addCriterion("R_CND_H_IN in", values, "rCndHIn");
            return (Criteria) this;
        }

        public Criteria andRCndHInNotIn(List<Double> values) {
            addCriterion("R_CND_H_IN not in", values, "rCndHIn");
            return (Criteria) this;
        }

        public Criteria andRCndHInBetween(Double value1, Double value2) {
            addCriterion("R_CND_H_IN between", value1, value2, "rCndHIn");
            return (Criteria) this;
        }

        public Criteria andRCndHInNotBetween(Double value1, Double value2) {
            addCriterion("R_CND_H_IN not between", value1, value2, "rCndHIn");
            return (Criteria) this;
        }

        public Criteria andRCndHOutIsNull() {
            addCriterion("R_CND_H_OUT is null");
            return (Criteria) this;
        }

        public Criteria andRCndHOutIsNotNull() {
            addCriterion("R_CND_H_OUT is not null");
            return (Criteria) this;
        }

        public Criteria andRCndHOutEqualTo(Double value) {
            addCriterion("R_CND_H_OUT =", value, "rCndHOut");
            return (Criteria) this;
        }

        public Criteria andRCndHOutNotEqualTo(Double value) {
            addCriterion("R_CND_H_OUT <>", value, "rCndHOut");
            return (Criteria) this;
        }

        public Criteria andRCndHOutGreaterThan(Double value) {
            addCriterion("R_CND_H_OUT >", value, "rCndHOut");
            return (Criteria) this;
        }

        public Criteria andRCndHOutGreaterThanOrEqualTo(Double value) {
            addCriterion("R_CND_H_OUT >=", value, "rCndHOut");
            return (Criteria) this;
        }

        public Criteria andRCndHOutLessThan(Double value) {
            addCriterion("R_CND_H_OUT <", value, "rCndHOut");
            return (Criteria) this;
        }

        public Criteria andRCndHOutLessThanOrEqualTo(Double value) {
            addCriterion("R_CND_H_OUT <=", value, "rCndHOut");
            return (Criteria) this;
        }

        public Criteria andRCndHOutIn(List<Double> values) {
            addCriterion("R_CND_H_OUT in", values, "rCndHOut");
            return (Criteria) this;
        }

        public Criteria andRCndHOutNotIn(List<Double> values) {
            addCriterion("R_CND_H_OUT not in", values, "rCndHOut");
            return (Criteria) this;
        }

        public Criteria andRCndHOutBetween(Double value1, Double value2) {
            addCriterion("R_CND_H_OUT between", value1, value2, "rCndHOut");
            return (Criteria) this;
        }

        public Criteria andRCndHOutNotBetween(Double value1, Double value2) {
            addCriterion("R_CND_H_OUT not between", value1, value2, "rCndHOut");
            return (Criteria) this;
        }

        public Criteria andREvpHInIsNull() {
            addCriterion("R_EVP_H_IN is null");
            return (Criteria) this;
        }

        public Criteria andREvpHInIsNotNull() {
            addCriterion("R_EVP_H_IN is not null");
            return (Criteria) this;
        }

        public Criteria andREvpHInEqualTo(Double value) {
            addCriterion("R_EVP_H_IN =", value, "rEvpHIn");
            return (Criteria) this;
        }

        public Criteria andREvpHInNotEqualTo(Double value) {
            addCriterion("R_EVP_H_IN <>", value, "rEvpHIn");
            return (Criteria) this;
        }

        public Criteria andREvpHInGreaterThan(Double value) {
            addCriterion("R_EVP_H_IN >", value, "rEvpHIn");
            return (Criteria) this;
        }

        public Criteria andREvpHInGreaterThanOrEqualTo(Double value) {
            addCriterion("R_EVP_H_IN >=", value, "rEvpHIn");
            return (Criteria) this;
        }

        public Criteria andREvpHInLessThan(Double value) {
            addCriterion("R_EVP_H_IN <", value, "rEvpHIn");
            return (Criteria) this;
        }

        public Criteria andREvpHInLessThanOrEqualTo(Double value) {
            addCriterion("R_EVP_H_IN <=", value, "rEvpHIn");
            return (Criteria) this;
        }

        public Criteria andREvpHInIn(List<Double> values) {
            addCriterion("R_EVP_H_IN in", values, "rEvpHIn");
            return (Criteria) this;
        }

        public Criteria andREvpHInNotIn(List<Double> values) {
            addCriterion("R_EVP_H_IN not in", values, "rEvpHIn");
            return (Criteria) this;
        }

        public Criteria andREvpHInBetween(Double value1, Double value2) {
            addCriterion("R_EVP_H_IN between", value1, value2, "rEvpHIn");
            return (Criteria) this;
        }

        public Criteria andREvpHInNotBetween(Double value1, Double value2) {
            addCriterion("R_EVP_H_IN not between", value1, value2, "rEvpHIn");
            return (Criteria) this;
        }

        public Criteria andREvpHOutIsNull() {
            addCriterion("R_EVP_H_OUT is null");
            return (Criteria) this;
        }

        public Criteria andREvpHOutIsNotNull() {
            addCriterion("R_EVP_H_OUT is not null");
            return (Criteria) this;
        }

        public Criteria andREvpHOutEqualTo(Double value) {
            addCriterion("R_EVP_H_OUT =", value, "rEvpHOut");
            return (Criteria) this;
        }

        public Criteria andREvpHOutNotEqualTo(Double value) {
            addCriterion("R_EVP_H_OUT <>", value, "rEvpHOut");
            return (Criteria) this;
        }

        public Criteria andREvpHOutGreaterThan(Double value) {
            addCriterion("R_EVP_H_OUT >", value, "rEvpHOut");
            return (Criteria) this;
        }

        public Criteria andREvpHOutGreaterThanOrEqualTo(Double value) {
            addCriterion("R_EVP_H_OUT >=", value, "rEvpHOut");
            return (Criteria) this;
        }

        public Criteria andREvpHOutLessThan(Double value) {
            addCriterion("R_EVP_H_OUT <", value, "rEvpHOut");
            return (Criteria) this;
        }

        public Criteria andREvpHOutLessThanOrEqualTo(Double value) {
            addCriterion("R_EVP_H_OUT <=", value, "rEvpHOut");
            return (Criteria) this;
        }

        public Criteria andREvpHOutIn(List<Double> values) {
            addCriterion("R_EVP_H_OUT in", values, "rEvpHOut");
            return (Criteria) this;
        }

        public Criteria andREvpHOutNotIn(List<Double> values) {
            addCriterion("R_EVP_H_OUT not in", values, "rEvpHOut");
            return (Criteria) this;
        }

        public Criteria andREvpHOutBetween(Double value1, Double value2) {
            addCriterion("R_EVP_H_OUT between", value1, value2, "rEvpHOut");
            return (Criteria) this;
        }

        public Criteria andREvpHOutNotBetween(Double value1, Double value2) {
            addCriterion("R_EVP_H_OUT not between", value1, value2, "rEvpHOut");
            return (Criteria) this;
        }

        public Criteria andFileNameIsNull() {
            addCriterion("FILE_NAME is null");
            return (Criteria) this;
        }

        public Criteria andFileNameIsNotNull() {
            addCriterion("FILE_NAME is not null");
            return (Criteria) this;
        }

        public Criteria andFileNameEqualTo(String value) {
            addCriterion("FILE_NAME =", value, "fileName");
            return (Criteria) this;
        }

        public Criteria andFileNameNotEqualTo(String value) {
            addCriterion("FILE_NAME <>", value, "fileName");
            return (Criteria) this;
        }

        public Criteria andFileNameGreaterThan(String value) {
            addCriterion("FILE_NAME >", value, "fileName");
            return (Criteria) this;
        }

        public Criteria andFileNameGreaterThanOrEqualTo(String value) {
            addCriterion("FILE_NAME >=", value, "fileName");
            return (Criteria) this;
        }

        public Criteria andFileNameLessThan(String value) {
            addCriterion("FILE_NAME <", value, "fileName");
            return (Criteria) this;
        }

        public Criteria andFileNameLessThanOrEqualTo(String value) {
            addCriterion("FILE_NAME <=", value, "fileName");
            return (Criteria) this;
        }

        public Criteria andFileNameLike(String value) {
            addCriterion("FILE_NAME like", value, "fileName");
            return (Criteria) this;
        }

        public Criteria andFileNameNotLike(String value) {
            addCriterion("FILE_NAME not like", value, "fileName");
            return (Criteria) this;
        }

        public Criteria andFileNameIn(List<String> values) {
            addCriterion("FILE_NAME in", values, "fileName");
            return (Criteria) this;
        }

        public Criteria andFileNameNotIn(List<String> values) {
            addCriterion("FILE_NAME not in", values, "fileName");
            return (Criteria) this;
        }

        public Criteria andFileNameBetween(String value1, String value2) {
            addCriterion("FILE_NAME between", value1, value2, "fileName");
            return (Criteria) this;
        }

        public Criteria andFileNameNotBetween(String value1, String value2) {
            addCriterion("FILE_NAME not between", value1, value2, "fileName");
            return (Criteria) this;
        }

        public Criteria andREvpTsatInIsNull() {
            addCriterion("R_EVP_TSAT_IN is null");
            return (Criteria) this;
        }

        public Criteria andREvpTsatInIsNotNull() {
            addCriterion("R_EVP_TSAT_IN is not null");
            return (Criteria) this;
        }

        public Criteria andREvpTsatInEqualTo(Double value) {
            addCriterion("R_EVP_TSAT_IN =", value, "rEvpTsatIn");
            return (Criteria) this;
        }

        public Criteria andREvpTsatInNotEqualTo(Double value) {
            addCriterion("R_EVP_TSAT_IN <>", value, "rEvpTsatIn");
            return (Criteria) this;
        }

        public Criteria andREvpTsatInGreaterThan(Double value) {
            addCriterion("R_EVP_TSAT_IN >", value, "rEvpTsatIn");
            return (Criteria) this;
        }

        public Criteria andREvpTsatInGreaterThanOrEqualTo(Double value) {
            addCriterion("R_EVP_TSAT_IN >=", value, "rEvpTsatIn");
            return (Criteria) this;
        }

        public Criteria andREvpTsatInLessThan(Double value) {
            addCriterion("R_EVP_TSAT_IN <", value, "rEvpTsatIn");
            return (Criteria) this;
        }

        public Criteria andREvpTsatInLessThanOrEqualTo(Double value) {
            addCriterion("R_EVP_TSAT_IN <=", value, "rEvpTsatIn");
            return (Criteria) this;
        }

        public Criteria andREvpTsatInIn(List<Double> values) {
            addCriterion("R_EVP_TSAT_IN in", values, "rEvpTsatIn");
            return (Criteria) this;
        }

        public Criteria andREvpTsatInNotIn(List<Double> values) {
            addCriterion("R_EVP_TSAT_IN not in", values, "rEvpTsatIn");
            return (Criteria) this;
        }

        public Criteria andREvpTsatInBetween(Double value1, Double value2) {
            addCriterion("R_EVP_TSAT_IN between", value1, value2, "rEvpTsatIn");
            return (Criteria) this;
        }

        public Criteria andREvpTsatInNotBetween(Double value1, Double value2) {
            addCriterion("R_EVP_TSAT_IN not between", value1, value2, "rEvpTsatIn");
            return (Criteria) this;
        }

        public Criteria andREvpTsatOutIsNull() {
            addCriterion("R_EVP_TSAT_OUT is null");
            return (Criteria) this;
        }

        public Criteria andREvpTsatOutIsNotNull() {
            addCriterion("R_EVP_TSAT_OUT is not null");
            return (Criteria) this;
        }

        public Criteria andREvpTsatOutEqualTo(Double value) {
            addCriterion("R_EVP_TSAT_OUT =", value, "rEvpTsatOut");
            return (Criteria) this;
        }

        public Criteria andREvpTsatOutNotEqualTo(Double value) {
            addCriterion("R_EVP_TSAT_OUT <>", value, "rEvpTsatOut");
            return (Criteria) this;
        }

        public Criteria andREvpTsatOutGreaterThan(Double value) {
            addCriterion("R_EVP_TSAT_OUT >", value, "rEvpTsatOut");
            return (Criteria) this;
        }

        public Criteria andREvpTsatOutGreaterThanOrEqualTo(Double value) {
            addCriterion("R_EVP_TSAT_OUT >=", value, "rEvpTsatOut");
            return (Criteria) this;
        }

        public Criteria andREvpTsatOutLessThan(Double value) {
            addCriterion("R_EVP_TSAT_OUT <", value, "rEvpTsatOut");
            return (Criteria) this;
        }

        public Criteria andREvpTsatOutLessThanOrEqualTo(Double value) {
            addCriterion("R_EVP_TSAT_OUT <=", value, "rEvpTsatOut");
            return (Criteria) this;
        }

        public Criteria andREvpTsatOutIn(List<Double> values) {
            addCriterion("R_EVP_TSAT_OUT in", values, "rEvpTsatOut");
            return (Criteria) this;
        }

        public Criteria andREvpTsatOutNotIn(List<Double> values) {
            addCriterion("R_EVP_TSAT_OUT not in", values, "rEvpTsatOut");
            return (Criteria) this;
        }

        public Criteria andREvpTsatOutBetween(Double value1, Double value2) {
            addCriterion("R_EVP_TSAT_OUT between", value1, value2, "rEvpTsatOut");
            return (Criteria) this;
        }

        public Criteria andREvpTsatOutNotBetween(Double value1, Double value2) {
            addCriterion("R_EVP_TSAT_OUT not between", value1, value2, "rEvpTsatOut");
            return (Criteria) this;
        }

        public Criteria andRCndTsatInIsNull() {
            addCriterion("R_CND_TSAT_IN is null");
            return (Criteria) this;
        }

        public Criteria andRCndTsatInIsNotNull() {
            addCriterion("R_CND_TSAT_IN is not null");
            return (Criteria) this;
        }

        public Criteria andRCndTsatInEqualTo(Double value) {
            addCriterion("R_CND_TSAT_IN =", value, "rCndTsatIn");
            return (Criteria) this;
        }

        public Criteria andRCndTsatInNotEqualTo(Double value) {
            addCriterion("R_CND_TSAT_IN <>", value, "rCndTsatIn");
            return (Criteria) this;
        }

        public Criteria andRCndTsatInGreaterThan(Double value) {
            addCriterion("R_CND_TSAT_IN >", value, "rCndTsatIn");
            return (Criteria) this;
        }

        public Criteria andRCndTsatInGreaterThanOrEqualTo(Double value) {
            addCriterion("R_CND_TSAT_IN >=", value, "rCndTsatIn");
            return (Criteria) this;
        }

        public Criteria andRCndTsatInLessThan(Double value) {
            addCriterion("R_CND_TSAT_IN <", value, "rCndTsatIn");
            return (Criteria) this;
        }

        public Criteria andRCndTsatInLessThanOrEqualTo(Double value) {
            addCriterion("R_CND_TSAT_IN <=", value, "rCndTsatIn");
            return (Criteria) this;
        }

        public Criteria andRCndTsatInIn(List<Double> values) {
            addCriterion("R_CND_TSAT_IN in", values, "rCndTsatIn");
            return (Criteria) this;
        }

        public Criteria andRCndTsatInNotIn(List<Double> values) {
            addCriterion("R_CND_TSAT_IN not in", values, "rCndTsatIn");
            return (Criteria) this;
        }

        public Criteria andRCndTsatInBetween(Double value1, Double value2) {
            addCriterion("R_CND_TSAT_IN between", value1, value2, "rCndTsatIn");
            return (Criteria) this;
        }

        public Criteria andRCndTsatInNotBetween(Double value1, Double value2) {
            addCriterion("R_CND_TSAT_IN not between", value1, value2, "rCndTsatIn");
            return (Criteria) this;
        }

        public Criteria andRCndTsatOutIsNull() {
            addCriterion("R_CND_TSAT_OUT is null");
            return (Criteria) this;
        }

        public Criteria andRCndTsatOutIsNotNull() {
            addCriterion("R_CND_TSAT_OUT is not null");
            return (Criteria) this;
        }

        public Criteria andRCndTsatOutEqualTo(Double value) {
            addCriterion("R_CND_TSAT_OUT =", value, "rCndTsatOut");
            return (Criteria) this;
        }

        public Criteria andRCndTsatOutNotEqualTo(Double value) {
            addCriterion("R_CND_TSAT_OUT <>", value, "rCndTsatOut");
            return (Criteria) this;
        }

        public Criteria andRCndTsatOutGreaterThan(Double value) {
            addCriterion("R_CND_TSAT_OUT >", value, "rCndTsatOut");
            return (Criteria) this;
        }

        public Criteria andRCndTsatOutGreaterThanOrEqualTo(Double value) {
            addCriterion("R_CND_TSAT_OUT >=", value, "rCndTsatOut");
            return (Criteria) this;
        }

        public Criteria andRCndTsatOutLessThan(Double value) {
            addCriterion("R_CND_TSAT_OUT <", value, "rCndTsatOut");
            return (Criteria) this;
        }

        public Criteria andRCndTsatOutLessThanOrEqualTo(Double value) {
            addCriterion("R_CND_TSAT_OUT <=", value, "rCndTsatOut");
            return (Criteria) this;
        }

        public Criteria andRCndTsatOutIn(List<Double> values) {
            addCriterion("R_CND_TSAT_OUT in", values, "rCndTsatOut");
            return (Criteria) this;
        }

        public Criteria andRCndTsatOutNotIn(List<Double> values) {
            addCriterion("R_CND_TSAT_OUT not in", values, "rCndTsatOut");
            return (Criteria) this;
        }

        public Criteria andRCndTsatOutBetween(Double value1, Double value2) {
            addCriterion("R_CND_TSAT_OUT between", value1, value2, "rCndTsatOut");
            return (Criteria) this;
        }

        public Criteria andRCndTsatOutNotBetween(Double value1, Double value2) {
            addCriterion("R_CND_TSAT_OUT not between", value1, value2, "rCndTsatOut");
            return (Criteria) this;
        }

        public Criteria andFileNameLikeInsensitive(String value) {
            addCriterion("upper(FILE_NAME) like", value.toUpperCase(), "fileName");
            return (Criteria) this;
        }
    }

    /**
     * This class was generated by MyBatis Generator.
     * This class corresponds to the database table MEASUREMENTS
     *
     * @mbggenerated do_not_delete_during_merge
     */
    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    /**
     * This class was generated by MyBatis Generator.
     * This class corresponds to the database table MEASUREMENTS
     *
     * @mbggenerated
     */
    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}